summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-11-08 09:43:17 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2020-11-08 09:44:56 +0100
commitffe66b110212831c9c23208b5c943d90f769687e (patch)
tree9b1c8de8e8773846442262a760230e71f31ad9ae /kde-plasma
parentkde-apps/kross-interpreters: Disable find PythonLibs instead of dir (diff)
downloadgentoo-ffe66b110212831c9c23208b5c943d90f769687e.tar.gz
gentoo-ffe66b110212831c9c23208b5c943d90f769687e.tar.bz2
gentoo-ffe66b110212831c9c23208b5c943d90f769687e.zip
kde-plasma/plasma-systemmonitor: New package, version 5.20.0
See also: https://quantumproductions.info/articles/2020-2020-11/plasma-system-monitor-preview-release https://mail.kde.org/pipermail/kde-announce-apps/2020-November/005620.html Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-plasma')
-rw-r--r--kde-plasma/plasma-systemmonitor/Manifest1
-rw-r--r--kde-plasma/plasma-systemmonitor/metadata.xml8
-rw-r--r--kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.20.0.ebuild43
3 files changed, 52 insertions, 0 deletions
diff --git a/kde-plasma/plasma-systemmonitor/Manifest b/kde-plasma/plasma-systemmonitor/Manifest
new file mode 100644
index 00000000000..ca084fcdee0
--- /dev/null
+++ b/kde-plasma/plasma-systemmonitor/Manifest
@@ -0,0 +1 @@
+DIST plasma-systemmonitor-5.20.0.tar.xz 105596 BLAKE2B 93a5feb8fba244580e65b55633d803e14051b476f3ee5fde617285c61a84be7b22c5c09f4a14e0e7b9b3c88a45868c9f8c5c72e8cfd4488add192e9e1ceeb594 SHA512 56c6a5fe4646aaa2fc76c30f28362252308516b06132501efeb9905097a5c895250076b09ef2bdb7a9f4ad77435c622bd4b3f1ad5b69116f6654b3046829f2a0
diff --git a/kde-plasma/plasma-systemmonitor/metadata.xml b/kde-plasma/plasma-systemmonitor/metadata.xml
new file mode 100644
index 00000000000..2fdbf33d963
--- /dev/null
+++ b/kde-plasma/plasma-systemmonitor/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>kde@gentoo.org</email>
+ <name>Gentoo KDE Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.20.0.ebuild b/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.20.0.ebuild
new file mode 100644
index 00000000000..1a522697749
--- /dev/null
+++ b/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.20.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KFMIN=5.74.0
+QTMIN=5.15.1
+inherit ecm kde.org
+
+DESCRIPTION="New version of KSysGuard built on top of the new KStats daemon and using QML"
+HOMEPAGE="https://invent.kde.org/plasma/plasma-systemmonitor"
+
+if [[ ${KDE_BUILD_TYPE} == release ]]; then
+ SRC_URI="mirror://kde/stable/${PN}/${P}.tar.xz"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="5"
+IUSE=""
+
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtdeclarative-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kdbusaddons-${KFMIN}:5
+ >=kde-frameworks/kdeclarative-${KFMIN}:5
+ >=kde-frameworks/kglobalaccel-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/knewstuff-${KFMIN}:5
+ >=kde-frameworks/kservice-${KFMIN}:5
+ kde-plasma/libksysguard:5
+"
+RDEPEND="${DEPEND}
+ >=dev-qt/qtquickcontrols2-${QTMIN}:5
+ >=kde-frameworks/kirigami-${KFMIN}:5
+ >=kde-frameworks/kitemmodels-${KFMIN}:5[qml]
+ >=kde-frameworks/kquickcharts-${KFMIN}:5
+"